Subject: Re: [PATCH v3 05/44] refs.c: move update_ref to refs.c

From: David Turner <[email-masked]>
Date: Tue, 13 Oct 2015 21:01:56 -0400

On Tue, 2015-10-13 at 05:41 +0200, Michael Haggerty wrote:

> The original read
> 
> 		if (read_ref(pseudoref, actual_old_sha1))
> 			die("could not read ref '%s'", pseudoref);
> 
> This seems like an important test. What happened to it?
> 
> If its removal was intentional, it deserves a careful explanation (and
> should probably be done as a separate commit). If it was an accident,
> please consider how this accident arose and try to think about whether
> similar accidents might have happened elsewhere in this series.

I went ahead and manually rechecked all of the patches to ensure that
nothing else was screwed up.  While doing so, I found two or three
spurious whitespace changes (moving newlines around), which I fixed (in
refs-backend-pre-vtable, which I'll send to the list tomorrow-ish).